PHP Manual
Prev |  | Next

# ZEND_MOD_REQUIRED

ZEND_MOD_REQUIRED -- Create a simple dependency entry for a required extension

## Description

#include <zend_modules.h>

void ZEND_MOD_REQUIRED ( char * ext_name )

ZEND_MOD_REQUIRED() generates a zend_module_dep entry for the extension named by ext_name. A simple entry without further version specifications is generated. See ZEND_MOD_REQUIRED_EX() for an extended version of this macro that also allows to specify version dependencies.

## Parameters

ext_name

  The name of a required extension

## Return Values

Code to register the required extension dependency

## See Also

See ZEND_MOD_REQUIRED_EX() if you also need to specify extension version requirements.

See also ZEND_MOD_OPTIONAL(), ZEND_MOD_OPTIONAL_EX(), ZEND_MOD_CONFLICTS(), and ZEND_MOD_CONFLICTS_EX().

Prev | Home | Next
ZEND_MOD_REQUIRED_EX | Up | ZEND_MODULE_ACTIVATE_D